Subject: bug#11075: 24.0.94; Arabic character composition

From: Alan Third <[email-masked]>
Date: Sun, 22 Sep 2019 12:54:51 +0100

On Sat, Sep 21, 2019 at 12:45:20AM +0200, Stefan Kangas wrote:
> Alan Third <[email-masked]> writes:
> 
> > On Mon, Sep 25, 2017 at 07:17:21AM -0700, John Wiegley wrote:
> >> >>>>> "AT" == Alan Third <[email-masked]> writes:
> >>
> >> AT> Hi, does anyone know if this bug was resolved? I assume if it worked in
> >> AT> the Mac port it will now work in the NS port?
> >>
> >> Why can that assumption be made now?
> >
> > In the seven or eight years since this bug report was made, we
> > switched over to the mac port font backend.
> 
> Since that was written, harfbuzz was enabled by default.  And wouldn't
> that library have good support for this anyhow?
> 
> > It might still be an issue on GNUstep, though. I think it still uses
> > nsfont.m.
> 
> I'm not a GNUstep user so I can't easily test this.
> 
> But would the recent harfbuzz support (enabled by default on GNUstep
> too, I assume) fix this?  Do you know, Eli?

As I understand it Harfbuzz is not supported on the NS port at all. I
know that Yamamoto Mitsuharu wrote a proof of concept, but I don’t
believe it was ever finished.
-- 
Alan Third